| Home | Libraries | People | FAQ | More

###### string::starts_with (1 of 2 overloads)

Return whether the string begins with a string.

###### Synopsis

    bool
    starts_with(
        string_view s) const;

###### Description

Returns `true` if the string begins with `s`, and `false` otherwise.

###### Complexity

Linear.

###### Parameters

Name | Description
--- | ---
`s` | The `string_view` to check for.